Subject: bug#45238: The section [[info:guix#Invoking guix package]] contradicts itself

From: zimoun <[email-masked]>
Date: Thu, 10 Jun 2021 13:33:53 +0200

Hi,

On Mon, 14 Dec 2020 at 14:06, "Jorge P. de Morais Neto" <[email-masked]> wrote:
> Hi.  The last paragraph of [[info:guix#Invoking guix package]] says:
>
>     However, note that package transformations are lost when upgrading;
>     to preserve transformations across upgrades, you should define your
>     own package variant in a Guile module and add it to
>     ‘GUIX_PACKAGE_PATH’ (*note Defining Packages::).
>
> This contradicts the earlier information, in the same section, about
> `guix package -u':
>
>     When upgrading, package transformations that were originally applied
>     when creating the profile are automatically re-applied (*note Package
>     Transformation Options::).

I think it is fixed with the recent version of the manual.  Could you
confirm?

All the best,
simon